Can I run LAMPP on my Raspberry Pi?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Can I run LAMPP on my Raspberry Pi?

Postby tda2052 » 03. August 2012 10:05

Hi,

I have the same problem while starting xampp. I am trying to start lampp on Rasbian which is a modified version of Debian for Raspberry Pi computer.

Here is the error:

Starting XAMPP for Linux 1.8.0...
/opt/lampp/share/lampp/phpstatus: line 4: /opt/lampp/bin/php: cannot execute binary file
XAMPP: Starting Apache with SSL ...
/opt/lampp/bin/httpd: 1: /opt/lampp/bin/httpd: Syntax error: "(" unexpected
XAMPP: Error 2! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
/opt/lampp/bin/my_print_defaults: 1: /opt/lampp/bin/my_print_defaults: Syntax error: "(" unexpected
XAMPP: Couldn't start MySQL!
XAMPP: Starting ProFTPD...
XAMPP: /opt/lampp/lampp: line 333: /opt/lampp/sbin/proftpd: cannot execute binary file
XAMPP: Error 126! Couln't start ProFTPD!
XAMPP for Linux started.
tda2052
 
Posts: 1
Joined: 03. August 2012 09:28
XAMPP Version: 5.6.3
Operating System: Rasbian (Debian for Raspberry)

Re: Problems with the initiation XAMPP 1.8.0

Postby JonB » 03. August 2012 12:29

I am trying to start lampp on Rasbian which is a modified version of Debian for Raspberry Pi computer.


In your case I can tell you the problem quickly - "wrong processor"
http://www.raspberrypi.org/faqs

XAMPP/LAMPP is compiled for Intel x86 and IA64 family of processors (as I said in the posts you referenced).

You need an Apache (and everything else) compile for ARMv6.

(I suspect our other friends had Itanium processors.)

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Linux

Who is online

Users browsing this forum: arcanisgk and 3 guests